Subject: bug#57684: locked narrowing breaks existing code without an apparent way to repair

From: Gregory Heytings <[email-masked]>
Date: Tue, 13 Sep 2022 21:06:20 +0000

>
> By the way, today Emacs 29 hung in Magit blaming for me, with C-g doing 
> nothing. Grepping Magit sources suggest it uses the "save-restriction - 
> temporarily widen" more than ten times in various places, 3 of them when 
> blaming. Cannot say for sure that was it, but all the outer symptoms are 
> identical with the hangs in Logview. I really think there must be a way 
> to "widen no matter which locks are installed" - a lot of code seems to 
> depend on that.
>

Yes, we know that, and as I said earlier it will be possible to unlock a 
locked narrowing.  That being said, your description is too vague to draw 
a conclusion, but given that you tell that Emacs hung in Magit, I'm not 
quite sure it's locked narrowing that is the culprit.  Locked narrowing is 
currently used only in buffers with very long lines, and only when those 
buffers are on display.  Files with very long lines are typically 
machine-generated, and not under version control.